## anorack 0.2.4

=== Makefile ===
# Copyright © 2012-2018 Jakub Wilk <jwilk@jwilk.net>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the “Software”), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

PYTHON = python3
INSTALL = install

PREFIX = /usr/local
DESTDIR =

exe = anorack

bindir = $(PREFIX)/bin
basedir = $(PREFIX)/share/$(exe)
mandir = $(PREFIX)/share/man

.PHONY: all
all: ;

.PHONY: install
install:
	# binary:
	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
	python_exe=$$($(PYTHON) -c 'import sys; print(sys.executable)') && \
	sed \
		-e "1 s@^#!.*@#!$$python_exe@" \
		-e "s#^basedir = .*#basedir = '$(basedir)/'#" \
		$(exe) > $(DESTDIR)$(bindir)/$(exe)
	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
	# library + data:
	( find lib data -type f ! -name '*.py[co]' ) \
	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
ifeq "$(wildcard doc/$(exe).1)" ""
	# run "$(MAKE) -C doc" to build the manpage
else
	# manual page:
	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
endif

.PHONY: test
test:
	$(PYTHON) -c 'import nose; nose.main()' --verbose

.PHONY: clean
clean:
	find . -type f -name '*.py[co]' -delete
	find . -type d -name '__pycache__' -delete

# vim:ts=4 sts=4 sw=4 noet

=== doc/Makefile ===
# Copyright © 2014-2017 Jakub Wilk <jwilk@jwilk.net>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the “Software”), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

export LC_ALL=C

rst2man = $(or $(shell which rst2man),rst2man.py)
exe = anorack

.PHONY: all
all: $(exe).1

$(exe).1: manpage.rst
	$(rst2man) --input-encoding=UTF-8 < $(<) > $(@).tmp
	perl -pi -e '/^[.]BI\b/ and s/\\fP/\\fR/g' $(@).tmp  # work-around for https://bugs.debian.org/806601
	mv $(@).tmp $(@)

.PHONY: clean
clean:
	rm -f $(exe).1 *.tmp

# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
anorack (0.2.4-1) unstable; urgency=medium

  * Initial release. (Closes: #893993)

 -- Georg Faerber <georg@riseup.net>  Wed, 17 Oct 2018 15:29:57 +0000

=== debian/control ===
Source: anorack
Section: devel
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Georg Faerber <georg@riseup.net>,
Build-Depends: debhelper (>= 11~),
               dh-python,
               espeak-ng,
               python3,
               python3-docutils,
               python3-nose,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/python-team/modules/anorack.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/anorack
Homepage: https://jwilk.net/software/anorack
Rules-Requires-Root: no

Package: anorack
Architecture: all
Depends: espeak-ng,
         python3,
         ${misc:Depends},
         ${python3:Depends},
Description: specialized spell-checker that finds incorrect indefinite articles
 The English language has two indefinite articles:
 .
 - a: used before words that begin with a consonant sound (e.g., a program, a
   host, a user);
 .
 - an: used before words that begin with a vowel sound (e.g., an example, an
   hour, an undefined variable).
 .
 anorack is a specialized spell-checker that finds incorrect usage of these
 articles.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/jwilk/anorack/releases \
.*/anorack-(\d\S*)\.tar\.gz

## anorack 0.2.7

=== Makefile ===
--- 
+++ 
@@ -19,38 +19,44 @@
 # SOFTWARE.
 
 PYTHON = python3
-INSTALL = install
 
 PREFIX = /usr/local
 DESTDIR =
 
-exe = anorack
-
 bindir = $(PREFIX)/bin
-basedir = $(PREFIX)/share/$(exe)
+basedir = $(PREFIX)/share/anorack
 mandir = $(PREFIX)/share/man
 
 .PHONY: all
 all: ;
 
 .PHONY: install
-install:
-	# binary:
-	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
+install: anorack
+	$(PYTHON) - < lib/__init__.py  # Python version check
+	# executable:
+	install -d $(DESTDIR)$(bindir)
 	python_exe=$$($(PYTHON) -c 'import sys; print(sys.executable)') && \
 	sed \
 		-e "1 s@^#!.*@#!$$python_exe@" \
 		-e "s#^basedir = .*#basedir = '$(basedir)/'#" \
-		$(exe) > $(DESTDIR)$(bindir)/$(exe)
-	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
-	# library + data:
-	( find lib data -type f ! -name '*.py[co]' ) \
-	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
-ifeq "$(wildcard doc/$(exe).1)" ""
+		$(<) > $(<).tmp
+	install $(<).tmp $(DESTDIR)$(bindir)/$(<)
+	rm $(<).tmp
+	# data:
+	install -d $(DESTDIR)$(basedir)/data
+	install -p -m644 data/* $(DESTDIR)$(basedir)/data/
+	# library:
+	install -d $(DESTDIR)$(basedir)/lib
+	install -p -m644 lib/*.py $(DESTDIR)$(basedir)/lib/
+ifeq "$(DESTDIR)" ""
+	umask 022 && $(PYTHON) -m compileall -q $(basedir)/lib/
+endif
+ifeq "$(wildcard doc/*.1)" ""
 	# run "$(MAKE) -C doc" to build the manpage
 else
 	# manual page:
-	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
+	install -d $(DESTDIR)$(mandir)/man1
+	install -p -m644 doc/$(<).1 $(DESTDIR)$(mandir)/man1/
 endif
 
 .PHONY: test
@@ -61,5 +67,9 @@
 clean:
 	find . -type f -name '*.py[co]' -delete
 	find . -type d -name '__pycache__' -delete
+	rm -f .coverage
+	rm -f *.tmp
+
+.error = GNU make is required
 
 # vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
anorack (0.2.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Oct 2022 17:39:00 +0000

anorack (0.2.7-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Apr 2022 16:54:29 -0400

anorack (0.2.7-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * New upstream version 0.2.7 (Closes: #961250).
  * d/gbp.conf: set debian/master as default branch.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/control: Bump debhelper-compat to 13.
  * d/control: Bump Standard-Version to 4.5.0.

  [ Tristan Seligmann ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Aug 2020 12:21:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: anorack
 Section: devel
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Georg Faerber <georg@riseup.net>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                espeak-ng,
                python3,
                python3-docutils,
                python3-nose,
-Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/anorack.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/anorack
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/anorack.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/anorack
 Homepage: https://jwilk.net/software/anorack
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --with=python3

override_dh_auto_build:
	dh_clean doc/anorack.1 tests/coverage
	$(MAKE) -C doc
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_clean:
	dh_clean doc/anorack.1 tests/coverage

=== debian/tests/control ===
Test-Command: anorack --version && python3 -c 'import nose; nose.main()' --verbose
Depends: @, python3-nose
Restrictions: allow-stderr

## anorack 0.2.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2018 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2021 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -61,7 +61,7 @@
 
 .PHONY: test
 test:
-	$(PYTHON) -c 'import nose; nose.main()' --verbose
+	$(PYTHON) -bb -m unittest discover --verbose
 
 .PHONY: clean
 clean:

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2014-2017 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2014-2019 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -20,7 +20,9 @@
 
 export LC_ALL=C
 
-rst2man = $(or $(shell which rst2man),rst2man.py)
+rst2man = $(notdir $(shell command -v rst2man || echo rst2man.py))
+rst2xml = $(notdir $(shell command -v rst2xml || echo rst2xml.py))
+
 exe = anorack
 
 .PHONY: all
@@ -29,10 +31,24 @@
 $(exe).1: manpage.rst
 	$(rst2man) --input-encoding=UTF-8 < $(<) > $(@).tmp
 	perl -pi -e '/^[.]BI\b/ and s/\\fP/\\fR/g' $(@).tmp  # work-around for https://bugs.debian.org/806601
+	perl -ni -e 'print unless /^[.]\\" vim:/' $(@).tmp
 	mv $(@).tmp $(@)
+
+.PHONY: check
+check: check-changelog check-rst
+
+.PHONY: check-changelog
+check-changelog: changelog
+	dpkg-parsechangelog -l$(<) --all 2>&1 >/dev/null | { ! grep .; }
+
+.PHONY: check-rst
+check-rst:
+	ls README *.rst | xargs -t -I{} $(rst2xml) --input-encoding=UTF-8 --strict {} /dev/null
 
 .PHONY: clean
 clean:
 	rm -f $(exe).1 *.tmp
 
+.error = GNU make is required
+
 # vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
anorack (0.2.8-1) unstable; urgency=medium

  * Team upload.
  * Drop python3-nose dependency (Closes: #1018308)

 -- joao-pedro <joaopedrobsb3@gmail.com>  Mon, 29 Apr 2024 17:21:36 -0300

anorack (0.2.8-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version.
  * Update watch file. Closes: #1043468.
  * Fix dependency on espeak. Closes: #1027406.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Feb 2024 04:08:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                espeak-ng,
                python3,
                python3-docutils,
-               python3-nose,
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/anorack.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/anorack
@@ -17,7 +16,7 @@
 
 Package: anorack
 Architecture: all
-Depends: espeak-ng,
+Depends: libespeak-ng1 | libespeak1,
          python3,
          ${misc:Depends},
          ${python3:Depends},

=== debian/tests/control ===
Test-Command: anorack --version
Depends: @
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts=searchmode=plain,\
pgpsigurlmangle=s/$/.asc/ \
https://api.github.com/repos/jwilk/@PACKAGE@/releases \
https://github.com/jwilk/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
